<?xml version="1.0" encoding="UTF-8"?>
<refentry version="5.0-subset Scilab" xml:id="ann_show_pattern" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:xi="http://www.w3.org/2001/XInclude"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:html="http://www.w3.org/1999/xhtml"
          xmlns:db="http://docbook.org/ns/docbook">

  <!-- id: krui_showPattern - DOT NOT MODIFY OR DELETE THIS LINE -->
  <!-- comments: krui_err krui_showPattern(int);
/*****************************************************************************
  FUNCTION : ann_show_pattern
  PURPOSE  :
  


  NOTES    : 
  RETURNS  :
  UPDATE   :
******************************************************************************/ -->
  <refnamediv>
    <refname>ann_show_pattern</refname>

    <refpurpose>Depending on the mode, ann_show_pattern stores the current
    pattern into the units activation (and/or output) values.</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Calling Sequence</title>

    <synopsis>ann_show_pattern(network, mode);</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Input parameters</title>

    <variablelist>
      <varlistentry>
        <term>network</term>

        <listitem>
          <para>Instance of neural network</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>mode</term>

        <listitem>
          <para>
             The modes are:
               - OUTPUT_NOTHING
                  store input pattern into input units activations
               - OUTPUT_ACT
                  store input pattern into input units activations and
                  store output pattern into output units activations
               - OUTPUT_OUT
                  store input pattern into input units activations,
                  store output pattern into output units activations and
                  update output units output
          </para>
        </listitem>
      </varlistentry>


    </variablelist>
  </refsection>



  <refsection>
    <title>Description</title>

    <para>See include file glob_typ.h for mode constants.</para>
  </refsection>

  <refsection>
    <title>Examples</title>

    <programlisting role="example"> 
    Usage example
    </programlisting>
  </refsection>

  <refsection>
    <title>See Also</title>

    <simplelist type="inline">
        <member><link linkend="">name</link></member>

    </simplelist>
  </refsection>

  <refsection>
    <title>Authors</title>

    <simplelist type="vert">
      <member>Emmanuel GOOSSAERT</member>
      <member>Yann COLLETTE</member>

    </simplelist>
  </refsection>
</refentry>
